MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Pulse::LockGuard Class Reference

`#include <LockGuard.hxx>`

## Public Member Functions
| LockGuard (struct pa_threaded_mainloop *_mainloop)
| ~LockGuard ()
| LockGuard (const LockGuard &)=delete
LockGuard & | operator= (const LockGuard &)=delete

## Detailed Description

Definition at line 27 of file LockGuard.hxx.

## Constructor & Destructor Documentation

Pulse::LockGuard::LockGuard | ( | struct pa_threaded_mainloop * | _mainloop | ) |
| inline explicit

Definition at line 31 of file LockGuard.hxx.

Pulse::LockGuard::~LockGuard | ( |  | ) |
| inline

Definition at line 36 of file LockGuard.hxx.

Pulse::LockGuard::LockGuard | ( | const LockGuard & |  | ) |
| delete

## Member Function Documentation

LockGuard& Pulse::LockGuard::operator= | ( | const LockGuard & |  | ) |
| delete

The documentation for this class was generated from the following file:

- lib/pulse/LockGuard.hxx